Announcements

TeamViewer IoT is hiring! Check out the open positions here!

Posted by keyreel
Digon

Please update the remote TeamViewer! We will kick out any version soon!

Well. Mac Mini 2012 - latest version.

Mac Mini 2008 - latest version for that system 9.ish...

Teamviewer forced to buy new computers, that is so sad, since it's 11.000 km away.... 

First it was block for many times of all my computers... I fixed it...5 times email request.. Well kinda ok. But now that one...

8 Replies
Posted by Midwest52
Henagon

Re: Please update the remote TeamViewer! We will kick out any version soon!

I'm not sure I understand your post, but think we may have the same problem. My mom has a Mac Mini. I have Windows. I use Teamviewer to help her out. I keep getting a message to update her team Viewer, so I downloaded the newest TV version and when I go to load it on her computer, it says it can't do it because she doesn't have a certain Mac operating system. Well, her mac mini is up to date so far as I can tell. Does this mean I'll no longer be able to get on her computer to fix her problems?

Posted by mardus
Digon

Re: Please update the remote TeamViewer! We will kick out any version soon!

TeamViewer just does not care about the simple users. They think that everyone is running Windows 10 and/or Mojave and if not, then sorry, simply **bleep**, buy a new computer or roll a custom VPN or whatever.
This is sad. Greedy and sad.

Posted by Moderator Moderator
Moderator

Re: Please update the remote TeamViewer! We will kick out any version soon!

Hi @mardus @keyreel @Midwest52 

Thank you all for your posts. 

In the following article, you will find the supported operating systems and which TeamViewer version is running on that system: Which operating systems are supported?

The following post contains all relevant information about Enjoy using the best version of TeamViewer we made so far! - How to proceed?

Wish you all a great day and all the best,
Natascha

 

Posted by Midwest52
Henagon

Re: Please update the remote TeamViewer! We will kick out any version soon!

Hello!,

 

So if I understand correctly, we will still be able to help out family even if they're using an older version of TV. Is that correct?  In order for me to get on my Mom's computer, should I be using the same version as she is?  Thanks gain!

 

Judy

Posted by mardus
Digon

Re: Please update the remote TeamViewer! We will kick out any version soon!

No, it's not correct. EVERYONE need to be using TV14

Highlighted
Posted by Moderator Moderator
Moderator

Re: Please update the remote TeamViewer! We will kick out any version soon!

Hi there,

Thanks for your answers.

If you have a TeamViewer license of an older version, you are welcome to use this license in the relevant version to connect to remote devices. 

If you are a free user, you have to update to the latest version of TeamViewer. 

Wish you all a nice Wednesday.
All the best,
Natascha

Posted by TerryT063
Photon

Re: Please update the remote TeamViewer! We will kick out any version soon!

So if I understand correctly....

Using an older Mac running Snow Leopard (10.6.8) with TeamViewer 9 and keeping the same version on Windows 7, 8 and 10 happily...

Suddenly that's not allowed? Seemingly now I get a max of 5 mins connected before the connection is terminated as the windows PC is abe to get to 14...

However upgrade the Windows PC to 14, and the Mac then says you don't have the same version.

I just don't get how this was ok for ages and now it's not...

Posted by mardus
Digon

Re: Please update the remote TeamViewer! We will kick out any version soon!

Yup. That "logic" just absolutely evades me. Guess it's just a version of a good old "cough up or shut up." theme.
So just shows T-V actually cares **bleep**-all of the free user base. Can't actually blame them for that – but straight up lying in our faces is a **bleep** move.